import request from '@/utils/request'

export function listpatrol(params) {
  return request({
    url: '/api/admin/inspection/index',
    method: 'get',
    params:params
  })
}

export function leads(params) {
  return request({
    url: '/api/admin/inspection/leads',
    method: 'get',
    params:params
  })
}

export function save(data) {
  return request({
    url: '/api/admin/inspection/save',
    method: 'post',
    data
  })
}

export function batchSave(data) {
  return request({
    url: '/api/admin/inspection/batch-save',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: '/api/admin/inspection/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function get(id) {
  return request({
    url: '/api/admin/inspection/show',
    method: 'get',
    params: {
      id
    }
  })
}
